package backend;

public class Reserva {
    private DIAS dia ;
    private int id;
    Usuario usuario;
    private Bloque bloque;

    public Reserva(Bloque bloque, DIAS dia, Usuario usuario){
        this.bloque = bloque;
        this.dia = dia;
        this.usuario = usuario;
        agregarReserva();
    }

    public Usuario getUsuario(){
        return usuario;
    }
    Bloque getBloque(){
        return getBloque();
    }

    void agregarReserva(){
        bloque.addInscrito(usuario);
    }
    DIAS getDia(){
        return dia;
    }
    public void printInfo(){
        System.out.println(dia.toString());
        System.out.println(usuario.getUserName());
        System.out.println(usuario.getTipo());
        System.out.println(bloque.getHorario());
        System.out.println(bloque.getConteoAforo());
        System.out.println(bloque.getId());
    }
}
