import backend.Busqueda;
import backend.LeerArchivo;
import backend.Usuario;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Node;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.PasswordField;
import javafx.scene.control.TextField;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.ArrayList;

import javafx.scene.control.Label;
import javafx.stage.Stage;

public class controllerView {
    boolean resultado = false;
    public static String file = "backend/BD.csv";
    @FXML
    private PasswordField Clave;

    @FXML
    private TextField Correo;

    @FXML
    private Label accesoConcedido;

    @FXML
    private Label accesoDenegado;

    @FXML
    private Button boton_login;

    private Stage stage;
    private Scene scene;
    private Parent root;


    @FXML

    void handleboton_login(ActionEvent event) throws IOException {
        ArrayList<Usuario>  listaUsuarios = (new LeerArchivo(file)).getUsuarios();

        String inputContrasena = Clave.getText();
        String inputName = Correo.getText();
        Busqueda MatchUser = new Busqueda(listaUsuarios);

        resultado = MatchUser.RealizarBusqueda(inputName, inputContrasena);
        if(resultado){
            accesoConcedido.setText("datos correctos");
            accesoDenegado.setText("");

            root = FXMLLoader.load(getClass().getResource("Calendario/CalendarioView.fxml"));
            stage = (Stage)((Node)event.getSource()).getScene().getWindow();
            scene = new Scene(root);
            stage.setScene(scene);
            stage.show();

        }
        else{
            accesoDenegado.setText(" datos incorrectos: intentelo de nuevo");
            accesoConcedido.setText(" ");

        }
    }


}