package backend;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.util.ArrayList;
import java.util.Scanner;

public class LeerArchivo {

    private ArrayList<Usuario> arrayUsuarios = new ArrayList<>();
    private String file;


    public LeerArchivo(String file){
        this.file = file;
    }

    public ArrayList<Usuario> getUsuarios() throws FileNotFoundException {
        Scanner fileReader = openFileScanner();
        while (fileReader.hasNextLine()) {
            String data = fileReader.nextLine();
            arrayUsuarios.add(new Usuario(data));
        }
        fileReader.close();

        return arrayUsuarios;
    }


    private Scanner openFileScanner() throws FileNotFoundException {
        FileInputStream inputFile = new FileInputStream(file);
        return new Scanner(inputFile);
    }


}

