import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.control.Alert;
import javafx.scene.control.ButtonType;
import javafx.stage.Stage;
import javafx.fxml.FXMLLoader;

import java.awt.event.ActionEvent;

public class loginView extends Application {

    public void start(Stage primaryStage) throws Exception {
        Parent root = FXMLLoader.load(getClass().getResource("view.fxml"));
        primaryStage.setTitle("Login");
        primaryStage.setScene(new Scene(root, 600, 400));
        primaryStage.show();

        primaryStage.setOnCloseRequest(event -> logout(primaryStage));

    }


    public void logout(Stage stage){
        Alert alert = new Alert(Alert.AlertType.CONFIRMATION);
        alert.setTitle("Logout");
        alert.setHeaderText("¡Estas a punto de salir!");
        alert.setContentText("¿Quieres guardar tus reservas?");
        if (alert.showAndWait().get() == ButtonType.OK){
            System.out.println("Salida Exitosa");
            stage.close();
        }
    }
    public static void main(String[] args) {
        launch(args);
    }

}